# &kde; User's Manual

2005-09-08
K Desktop Environment
kdiff3
1

# kdiff3

compares two or three input files or folders

      kdiff3    QToptions
        KDEoptions
        kdiff3options
        File1
        File2
        File3

## Description

This manual page documents briefly the `kdiff3` tool.

This manual page was written for the Debian distribution because the original program does not have a manual page. For comprehensive help, please see the KDiff3 Handbook.

`kdiff3` is a file and folder diff and merge tool which

- compares and merges two or three text input files or folders

- shows the differences line by line and character by character

- provides an automatic merge-facility

- and has an intuitive graphical user interface

- has an editor for comfortable solving of merge-conflicts

- provides networktransparency via KIO

- has options to highlight or hide changes in white-space or comments

- supports Unicode, UTF-8 and other file encodings

- prints differences

- supports version control keyword and history merging

## Options

This program follows the usual &GNU; command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a full summary of options, run `kdiff3 --help`.

`-m, --merge`

  Merge the input.

`-b, --base file`

  Explicit base file. For compatibility with certain tools.

`-o, --output file`

  Output file. Implies -m. E.g.: -o newfile.txt

`--out file`

  Output file, again. (For compatibility with certain tools.)

`--auto`

  No GUI if all conflicts are auto-solvable. (Needs -o file)

`--qall`

  Don't solve conflicts automatically. (For compatibility...)

`--fname alias`

  Visible name replacement. Supply this once for every input.

`-v, --version`

  Show version of program.

## Author

This manual page was written by Eike Sauer <eikes@cs.tu-berlin.de> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the &GNU; General Public License, Version 2 (or, at your option, any later version published by the Free Software Foundation).

On Debian systems, the complete text of the &GNU; General Public License can be found in /usr/share/common-licenses/GPL.